Bug 1130119 - Call report contains too much information
Summary: Call report contains too much information
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: async/tasks
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 2.5.0
Assignee: Chris Duryee
QA Contact: Ina Panova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 11:35 UTC by Ina Panova
Modified: 2014-11-24 21:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-24 21:33:19 UTC


Attachments (Terms of Use)

Description Ina Panova 2014-08-14 11:35:32 UTC
Description of problem:
https://pulp-dev-guide.readthedocs.org/en/latest/conventions/sync-v-async.html?highlight=call%20report#call-report

Call Report contains too much information, i.e. it shows in the 'spawned tasks' the task report itself.

Version-Release number of selected component (if applicable):
2.4.1-0.1.alpha


$ curl -H "Accept: application/json" -X POST -k -u admin:admin  -d '{"repo_id":"test_repo","distributor_id":"yum_distributor"}' 'https://example.com/pulp/api/v2/consumers/test_consumer/bindings/'| python -m json.tool
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   967  100   909  100    58    878     56  0:00:01  0:00:01 --:--:--   879
{
    "error": null,
    "result": {
        "_id": {
            "$oid": "53ec853fc91e3112065e4c25"
        },
        "_ns": "consumer_bindings",
        "binding_config": {},
        "consumer_actions": [],
        "consumer_id": "test_consumer",
        "deleted": false,
        "distributor_id": "yum_distributor",
        "id": "53ec853fc91e3112065e4c25",
        "notify_agent": true,
        "repo_id": "test_repo"
    },
    "spawned_tasks": [
        {
            "_href": "/pulp/api/v2/tasks/f7343368-f0e2-4877-9533-0ab524095480/",
            "_id": {
                "$oid": "53ec9cc9c91e3112065e4c2d"
            },
            "_ns": "task_status",
            "error": null,
            "exception": null,
            "finish_time": null,
            "id": "53ec9cc9c91e3112065e4c2d",
            "progress_report": {},
            "queue": "agent",
            "result": null,
            "spawned_tasks": [],
            "start_time": null,
            "state": "waiting",
            "tags": [
                "pulp:consumer:test_consumer",
                "pulp:repository:test_repo",
                "pulp:repository_distributor:yum_distributor",
                "pulp:action:agent_bind"
            ],
            "task_id": "f7343368-f0e2-4877-9533-0ab524095480",
            "task_type": null,
            "traceback": null
        }
    ]
}

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Chris Duryee 2014-08-25 18:23:08 UTC
https://github.com/pulp/pulp/pull/1127

Comment 2 Chris Duryee 2014-08-25 21:28:54 UTC
https://github.com/pulp/pulp/pull/1129

merged to 2.4-dev and master

Comment 3 Chris Duryee 2014-09-30 13:52:25 UTC
build: 2.5.0-0.6.beta

Comment 4 Ina Panova 2014-10-02 11:50:36 UTC
Tested in 2.5.0-0.6.beta

# curl -H "Accept: application/json" -X POST -k -u admin:admin  -d '{"repo_id":"test_repo","distributor_id":"yum_distributor"}' 'https://example.com/pulp/api/v2/consumers/c1/bindings/'| python -m json.tool
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   501  100   443  100    58   1182    154 --:--:-- --:--:-- --:--:--  1184
{
    "error": null,
    "result": {
        "_id": {
            "$oid": "542d3bca908a3a4ee88c0b85"
        },
        "_ns": "consumer_bindings",
        "binding_config": {},
        "consumer_actions": [],
        "consumer_id": "c1",
        "deleted": false,
        "distributor_id": "yum_distributor",
        "id": "542d3bca908a3a4ee88c0b85",
        "notify_agent": true,
        "repo_id": "test_repo"
    },
    "spawned_tasks": [
        {
            "_href": "/pulp/api/v2/tasks/8b5f7eea-6ab2-48b2-ae80-46e699c60942/",
            "task_id": "8b5f7eea-6ab2-48b2-ae80-46e699c60942"
        }
    ]
}

Moving to Verified.


Note You need to log in before you can comment on or make changes to this bug.